#ifndef _KGR_PATCH_BSC986377_IP6_H
#define _KGR_PATCH_BSC986377_IP6_H

#include <linux/netfilter_ipv6/ip6_tables.h>

struct compat_ip6t_replace;

int kgr_patch_bsc986377_ip6_init(void);
void kgr_patch_bsc986377_ip6_cleanup(void);
int kgr_ip6_mark_source_chains(const struct xt_table_info *newinfo, unsigned int valid_hooks, void *entry0, unsigned int *offsets);
int kgr_ip6_translate_table(struct net *net, struct xt_table_info *newinfo, void *entry0, const struct ip6t_replace *repl);
int kgr_ip6_translate_compat_table(struct net *net, struct xt_table_info **pinfo, void **pentry0, const struct compat_ip6t_replace *compatr);
int kgr_compat_do_ip6t_set_ctl(struct sock *sk, int cmd, void __user *user, unsigned int len);

#endif
