#ifndef _KGR_PATCH_BSC986377_XTABLES_H
#define _KGR_PATCH_BSC986377_XTABLES_H

#include <linux/netfilter/x_tables.h>

int kgr_xt_check_entry_offsets(const void *base, const char *elems,
	unsigned int target_offset, unsigned int next_offset);
bool kgr_xt_find_jump_offset(const unsigned int *offsets, unsigned int target,
	unsigned int size);
unsigned int *kgr_xt_alloc_entry_offsets(unsigned int size);
int kgr_xt_compat_check_entry_offsets(const void *base, const char *elems,
	unsigned int target_offset, unsigned int next_offset);
int kgr_xt_compat_match_from_user(struct xt_entry_match *m, void **dstptr,
			      unsigned int *size);
void kgr_xt_compat_target_from_user(struct xt_entry_target *t, void **dstptr,
				unsigned int *size);

int kgr_patch_bsc986377_xtables_init(void);
void kgr_patch_bsc986377_xtables_cleanup(void);

#endif
